    {
        "$schema": "https://raw.githubusercontent.com/JanDeDobbeleer/oh-my-posh/main/themes/schema.json",
        "blocks": [
          {
            "alignment": "left",
            "segments": [
              {
                "background": "#3A456E",
                "foreground": "#ffbebc",
                "leading_diamond": "\ue0b6",
                "style": "diamond",
                "template": "\u007B\u007B .UserName \u007D\u007D@\u007B\u007B .HostName \u007D\u007D <#ffffff>on</>",
                "type": "session"
              },
              {
                "type": "os",
                "style": "diamond",
                "background": "#3A456E",
                "foreground": "#ffffff",
                "trailing_diamond": "\ue0b4",
                "template": " \u007B\u007B .Icon \u007D\u007D "
              },
              {"type": "session",
              "style": "diamond",
              "background": "#3A456E",
              "foreground": "#ffbebc",
              "template": "\u007B\u007B if .SSHSession \u007D\u007Dvia SSH\u007B\u007B end \u007D\u007D",
              "trailing_diamond": "\ue0b4",
              "type": "session"
              },
              {
                "type": "text",
                "style": "diamond",
                "background": "#3A456E",
                "foreground": "#ffbebc",
                "template": "\u007B\u007B if .Env.IN_NIX_SHELL \u007D\u007Din nix-shell\u007B\u007B end \u007D\u007D",
                "trailing_diamond": "\ue0b4"
              },
              {
                "background": "#3A456E",
                "foreground": "#bc93ff",
                "leading_diamond": "\ue0b6",
                "properties": {
                  "time_format": "Monday <#ffffff>at</> 3:04 PM"
                },
                "style": "diamond",
                "trailing_diamond": "\ue0b4",
                "template": "\u007B\u007B .CurrentDate | date .Format \u007D\u007D",
                "type": "time"
              },


              {
                "background": "#3A456E",
                "foreground": "#43CCEA",
                "foreground_templates": [
                  "\u007B\u007B if or (.Working.Changed) (.Staging.Changed) \u007D\u007D#FF9248\u007B\u007B end \u007D\u007D",
                  "\u007B\u007B if and (gt .Ahead 0) (gt .Behind 0) \u007D\u007D#ff4500\u007B\u007B end \u007D\u007D",
                  "\u007B\u007B if gt .Ahead 0 \u007D\u007D#B388FF\u007B\u007B end \u007D\u007D",
                  "\u007B\u007B if gt .Behind 0 \u007D\u007D#B388FF\u007B\u007B end \u007D\u007D"
                ],
                "leading_diamond": " \ue0b6",
                "options": {
                  "branch_template": "\u007B\u007B trunc 25 .Branch \u007D\u007D",
                  "fetch_status": true,
                  "fetch_upstream_icon": true
                },
                "style": "diamond",
                "template": " \u007B\u007B .UpstreamIcon \u007D\u007D\u007B\u007B .HEAD \u007D\u007D\u007B\u007Bif .BranchStatus \u007D\u007D \u007B\u007B .BranchStatus \u007D\u007D\u007B\u007B end \u007D\u007D\u007B\u007B if .Working.Changed \u007D\u007D \uf044 \u007B\u007B .Working.String \u007D\u007D\u007B\u007B end \u007D\u007D\u007B\u007B if and (.Working.Changed) (.Staging.Changed) \u007D\u007D |\u007B\u007B end \u007D\u007D\u007B\u007B if .Staging.Changed \u007D\u007D \uf046 \u007B\u007B .Staging.String \u007D\u007D\u007B\u007B end \u007D\u007D\u007B\u007B if gt .StashCount 0 \u007D\u007D \ueb4b \u007B\u007B .StashCount \u007D\u007D\u007B\u007B end \u007D\u007D ",
                "trailing_diamond": "\ue0b4",
                "type": "git"
              },
              {
                "background": "#3A456E",
                "foreground": "#E4F34A",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue235 \u007B\u007B if .Error \u007D\u007D\u007B\u007B .Error \u007D\u007D\u007B\u007B else \u007D\u007D\u007B\u007B if .Venv \u007D\u007D\u007B\u007B .Venv \u007D\u007D \u007B\u007B end \u007D\u007D\u007B\u007B .Full \u007D\u007D\u007B\u007B end \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "python"
              },
              {
                "background": "#3A456E",
                "foreground": "#7FD5EA",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue626\u007B\u007B if .Error \u007D\u007D\u007B\u007B .Error \u007D\u007D\u007B\u007B else \u007D\u007D\u007B\u007B .Full \u007D\u007D\u007B\u007B end \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "go"
              },
              {
                "background": "#3A456E",
                "foreground": "#42E66C",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue718\u007B\u007B if .PackageManagerIcon \u007D\u007D\u007B\u007B .PackageManagerIcon \u007D\u007D \u007B\u007B end \u007D\u007D\u007B\u007B .Full \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "node"
              },
              {
                "background": "#3A456E",
                "foreground": "#E64747",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue791\u007B\u007B if .Error \u007D\u007D\u007B\u007B .Error \u007D\u007D\u007B\u007B else \u007D\u007D\u007B\u007B .Full \u007D\u007D\u007B\u007B end \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "ruby"
              },
              {
                "background": "#3A456E",
                "foreground": "#E64747",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue738\u007B\u007B if .Error \u007D\u007D\u007B\u007B .Error \u007D\u007D\u007B\u007B else \u007D\u007D\u007B\u007B .Full \u007D\u007D\u007B\u007B end \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "java"
              },
              {
                "background": "#3A456E",
                "foreground": "#9B6BDF",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "style": "diamond",
                "template": "\ue624\u007B\u007B if .Error \u007D\u007D\u007B\u007B .Error \u007D\u007D\u007B\u007B else \u007D\u007D\u007B\u007B .Full \u007D\u007D\u007B\u007B end \u007D\u007D ",
                "trailing_diamond": "\ue0b4",
                "type": "julia"
              },
              {
                "type": "php",
                "style": "diamond",
                "foreground": "#ffffff",
                "background": "#4063D8",
                "leading_diamond": " \ue0b6",
                "options": {
                  "fetch_version": false
                },
                "template": "\ue73d \u007B\u007B .Full \u007D\u007D ",
                "trailing_diamond": "\ue0b4"
              },
              {
                "background": "#3A456E",
                "foreground": "#9B6BDF",
                "foreground_templates": [
                  "\u007B\u007Bif eq \"Charging\" .State.String\u007D\u007D#40c4ff\u007B\u007Bend\u007D\u007D",
                  "\u007B\u007Bif eq \"Discharging\" .State.String\u007D\u007D#ff5722\u007B\u007Bend\u007D\u007D",
                  "\u007B\u007Bif eq \"Full\" .State.String\u007D\u007D#4caf50\u007B\u007Bend\u007D\u007D"
                ],
                "leading_diamond": " \ue0b6",
                "options": {
                  "charged_icon": " ",
                  "charging_icon": "\u21e1 ",
                  "discharging_icon": "\u21e3 "
                },
                "style": "diamond",
                "template": "\u007B\u007B if not .Error \u007D\u007D\u007B\u007B .Icon \u007D\u007D\u007B\u007B .Percentage \u007D\u007D\u007B\u007B end \u007D\u007D\u007B\u007B .Error \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "battery"
              }
            ],
            "type": "prompt"
          },
          {
          "alignment": "right",
          "segments": [
          {
                "background": "#3A456E",
                "foreground": "#AEA4BF",
                "leading_diamond": "\ue0b6",
                "options": {
                  "style": "austin",
                  "threshold": 150
                },
                "style": "diamond",
                "template": "\u007B\u007B .FormattedMs \u007D\u007D",
                "trailing_diamond": "\ue0b4 ",
                "type": "executiontime"
              }
          ],
          "type": "prompt"
          },
          {
            "alignment": "left",
            "newline": true,
            "segments": [
            {
                "background": "#3A456E",
                "foreground": "#3EC669",
                "leading_diamond": "\ue0b6",
                "properties": {
                  "style": "agnoster_full",
                  "cycle": [
                    "#3EC669,#3A456E",
                    "#43CCEA,#3A456E",
                    "#E4F34A,#3A456E",
                    "#9B6BDF,#3A456E"
                  ],
                  "cycle_folder_separator": true
                },
                "style": "diamond",
                "template": "\ue5ff \u007B\u007B .Path \u007D\u007D",
                "trailing_diamond": "\ue0b4",
                "type": "path"
              },
              {
                "background": "#3A456E",
                "foreground": "#ffbebc",
              "leading_diamond": "\ue0b6",
              "style": "diamond",
              "template": "\ue602",
              "trailing_diamond": "\ue0b4",
              "type": "text"
            }
            ],
            "type": "prompt"
          }
        ],
        "final_space": true,
        "version": 4
      }
